> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List SSO connections for a company.

> Returns all configured SSO connections including their domains and metadata.

# Access Control Rules

- Company manager of the company OR admin with `read_all_companies` permissions.



## OpenAPI

````yaml GET /api/v0/companies/{company_id}/sso-connections
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/companies/{company_id}/sso-connections:
    get:
      tags:
        - companies
      summary: List SSO connections for a company.
      description: >-
        Returns all configured SSO connections including their domains and
        metadata.


        # Access Control Rules


        - Company manager of the company OR admin with `read_all_companies`
        permissions.
      operationId: list_company_sso_connections
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Company SSO connections
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CompanySsoConnection'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '403':
          description: Access forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    CompanySsoConnection:
      type: object
      description: Company SSO settings.
      required:
        - id
        - companyId
        - provider
        - providerBaseUrl
        - clientId
        - clientSecret
        - domains
        - createdAt
        - createdBy
        - lastUpdatedAt
        - lastUpdatedBy
      properties:
        id:
          type: string
          format: uuid
        companyId:
          type: string
          format: uuid
        provider:
          $ref: '#/components/schemas/SsoProvider'
          description: The SSO provider for this connection.
        providerBaseUrl:
          type: string
          description: >-
            A base URL of an identity provider (like Okta domain). Is used to
            compile configuration.
        clientId:
          type: string
          description: Oauth app Client ID.
        clientSecret:
          type: string
          description: >-
            Oauth app Client Secret. Masked value that is not stored in its
            original form in DB.
        domains:
          type: array
          items:
            type: string
          description: >-
            A list of domains associated with this SSO connection.

            Users with emails registered on those domains will be tried to
            authenticate

            with this connection.
        createdAt:
          type: string
          format: date-time
          description: A time of creation.
        createdBy:
          $ref: '#/components/schemas/UserProfile'
          description: An id of a user who created this SSO connection.
        lastUpdatedAt:
          type: string
          format: date-time
          description: A time of last update.
        lastUpdatedBy:
          $ref: '#/components/schemas/UserProfile'
          description: An id of the last user who updated this SSO connection.
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    SsoProvider:
      type: string
      enum:
        - okta
        - entra
    UserProfile:
      type: object
      description: Profile info of a user.
      required:
        - userId
        - name
        - username
        - avatar
      properties:
        userId:
          type: string
          format: uuid
        name:
          type: string
        username:
          type: string
        avatar:
          type: string
        disabledAt:
          type:
            - string
            - 'null'
          format: date-time
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error

````